/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.subscription.web.internal.configuration;

import aQute.bnd.annotation.metatype.Meta;

import com.liferay.portal.configuration.metatype.annotations.ExtendedObjectClassDefinition;

/**
 * @author Alejandro Tardín
 */
@ExtendedObjectClassDefinition(category = "community-tools")
@Meta.OCD(
	id = "com.liferay.subscription.web.internal.configuration.SubscriptionConfiguration",
	localization = "content/Language", name = "subscription-configuration-name"
)
public interface SubscriptionConfiguration {

	/**
	 * Set the interval in hours on how often
	 * DeleteExpiredTicketsMessageListener will run to check for expired tickets
	 * and delete them.
	 */
	@Meta.AD(
		deflt = "24", name = "delete-expired-tickets-interval", required = false
	)
	public int deleteExpiredTicketsInterval();

	/**
	 * Set the time in days when the unsubscription tickets will expire.
	 */
	@Meta.AD(
		deflt = "31", name = "unsubscription-ticket-expiration-time",
		required = false
	)
	public int unsubscriptionTicketExpirationTime();

}